Subject: Re: bug#8427: [SECURITY] sql.el -- comint process passwords are leaked to ps(1) listing

From: Eli Zaretskii <[email-masked]>
Date: Wed, 18 Dec 2019 18:57:32 +0200

> Cc: "[email-masked]" <[email-masked]>,
>  Stefan Kangas <[email-masked]>
> Date: Wed, 18 Dec 2019 12:45:27 +0000
> From: Michael Mauger via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> I had a chance to look at this last night; I've had a couple of days away from home and took advantage of it. Below is my first take on the changes to comint.el needed to add a hook that we could use in sql.el to supply the password. I think we ought to run this by emacs-devel and Eli before merging it.

I'm okay with adding this hook, but please mention this hook and its
rationale in NEWS.

Please also feel free to ask on emacs-devel for comments, if you want.

Thanks.